View Issue Details

IDProjectCategoryView StatusLast Update
0015794ScribusScripterpublic2019-12-08 21:24
Reporterchefe Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.5.6.svn 
Summary0015794: Add bullet support for scripter plugin
DescriptionAdd support to the scripter plugin to define a bullet string while creating a new paragraph style.

see https://github.com/scribusproject/scribus/pull/122
Tagsscripter
PatchNo

Activities

jghali

2019-08-29 13:21

administrator   ~0046581

Patch is incomplete and cannot be committed as is. Check PropertyWidget_ParEffect::handleParEffectUse() to see how to properly enable bullets.

chefe

2019-08-29 17:24

reporter   ~0046586

@jghali Thanks for the hint. I was not aware of this.

I extended the pull-request with another commit which sets the flags like in the method `PropertyWidget_ParEffect::handleParEffectUse()` and I also adjusted the behavior to disable bullets if the `hasdropcap` flag was set. An error will be returned if `hasdropcap` and `bullet` are specified together.

@jghali Can you take another look at it?

jghali

2019-08-30 08:13

administrator   ~0046593

Thanks for the modifications. I applied your patch with some modifications of mine. I noticeably moved error control at the beginning of the function.

Issue History

Date Modified Username Field Change
2019-08-29 12:55 chefe New Issue
2019-08-29 12:55 chefe Tag Attached: scripter
2019-08-29 13:11 jghali Summary PR: Add bullet support for scripter plugin => Add bullet support for scripter plugin
2019-08-29 13:21 jghali Note Added: 0046581
2019-08-29 17:24 chefe Note Added: 0046586
2019-08-30 08:13 jghali Assigned To => jghali
2019-08-30 08:13 jghali Status new => resolved
2019-08-30 08:13 jghali Resolution open => fixed
2019-08-30 08:13 jghali Fixed in Version => 1.5.6.svn
2019-08-30 08:13 jghali Note Added: 0046593
2019-12-08 21:24 cbradney Status resolved => closed